Call 800-593-4042My account
Product specifications

Zyxel GS1900-10HP network switch Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Black

Review the specifications, then ask our team for current pricing and availability.

8+2FSP Port GbE, PoE, L2 Smart man Switch

Part GS1900-10HP · UPC 760559129453

Catalog availability is a file snapshot. Call to confirm stock and pricing before ordering.

Add to cart Continue browsing

About this product

Versatility and flexibility for different needs

The complete Zyxel GS1900 Series has an essential portfolio of 8/10/16/24/48-port compact desktop and rackmount size with GbE connectivity. All models support multiple deployment methods to fulfill the needs for small offices and meeting room environments such as wall-, under table- or desktop-mounting and rackmount options*1. It’s now quick and effortless to enjoy the high-speed business network applications without a hitch. Additionally, the GS1900-10HP/24/24HP/48/48HP is equipped with 2 extra SFP slots to provide 100M and GbE speeds for long-distance deployments.

Zyxel ONE Network experience

Aiming for relieving our customers from repetitive operations of deploying and managing a network, Zyxel ONE Network is designed to simplify the configuration, management, and troubleshooting, allowing our customers to focus on the business priorities. Zyxel ONE Network presents an easy-to-use tool, Zyxel ONE Network Utility (ZON Utility), to realize speed network setup. Zyxel Smart Connect** allows Zyxel networking equipment to be aware and recognize each other and further facilitating the network maintenance via one-click remote functions such as factory reset or power cycling. Zyxel ONE Network redefines the network integration across multiple networking products from switch to Wi-Fi AP and to Gateway.

Simple, intuitive wizard set up

For small businesses that want to manage their infrastructure in advance, the Zyxel GS1900 Series comes with a friendly built-in Web-based browser for simple configuration and management. Moreover, the friendly step-by-step intuitive wizard helps avoiding multiple complicated configuration pages for quick set up with few clicks in the matter of minutes. To guide the users from start-up, VLAN, Guest VLAN to QoS setting, the Zyxel Series offers four most common steps and combines them into a quick and easy setup wizard; which does not just save deployment time and efforts, but is also helpful especially for the non-IT staff.

Energy saving for IEEE 802.3az

As operating overheads such as electric bills increase constantly due to the arising green awareness, businesses have to avoid unnecessary energy waste. The built-in IEEE 802.3az Energy Efficient Ethernet (EEE) and more Zyxel innovative green features of Zyxel GS1900 Series can reduce energy consumption of Ethernet devices through multiple intelligent ways.

Intelligence to power more devices

Zyxel’s Intelligent PoE feature provides two PoE supply modes: classification mode and consumption mode. Especially in consumption mode, the GS1900-8HP/10HP/24HP/48HP reserves the actual required power automatically, and you can set power feeding priorities on different ports to get the optimized use of power resource. This capability increases the number of devices connected and deliver a better ROI for the business. In addition, the GS1900-8HP supports the IEEE 802.3at standard on all 8 ports, providing a maximum of 30 watts per port, total 70 watts while GS1900-10HP providing 2 extra SFP links for easy long distance deployment with total 77 W. Besides, the GS1900-24HP and 48HP both provide 170 watts of total budget power for devices with higher power requirements such as IP phones, IP cameras and wireless access points.

Management features

Switch type
Managed
Switch layer
L2
Quality of Service (QoS) support
Yes
MIB support
RFC 1213 MIB II, RFC 2819 RMON (group 1,2,3,9), RFC 1215 generic traps, RFC 1493 bridge, Private MIB

Ports & interfaces

Basic switching RJ-45 Ethernet ports quantity
10
Basic switching RJ-45 Ethernet ports type
Gigabit Ethernet (10/100/1000)
SFP module slots quantity
2
Fiber optic connector
SFP
Console port
RJ-45

Network

Networking standards
IEEE 802.1D, IEEE 802.1p, IEEE 802.1s, IEEE 802.1w, IEEE 802.3, IEEE 802.3ab, IEEE 802.3af, IEEE 802.3at, IEEE 802.3az, IEEE 802.3u, IEEE 802.3x
10G support
No
VLAN support
Yes

Data transmission

Switching capacity
20 Gbit/s
Throughput
14.88 Mpps
MAC address table
8000 entries
Jumbo frames support
Yes
Jumbo frames
9000

Design

Stackable
Yes
Product colour
Black

Power

AC input voltage
100 - 240 V
Power consumption (typical)
96.2 W

Power over Ethernet (PoE)

Power over Ethernet (PoE)
Yes
Power over Ethernet (PoE) ports quantity
8

Operational conditions

Operating temperature (T-T)
0 - 50 °C
Storage temperature (T-T)
-40 - 70 °C
Operating relative humidity (H-H)
10 - 95%
Storage relative humidity (H-H)
10 - 95%

Weight & dimensions

Width
250 mm
Depth
104 mm
Height
27 mm
Weight
720 g

Packaging content

Cables included
AC

Packaging data

Wall mounting kit
Yes
AC adapter included
Yes
Package width
302 mm
Package depth
227 mm
Package height
64 mm
Package weight
1.53 kg

Logistics data

Harmonized System (HS) code
85176990

Specifications and images: Database Right data-sheet 2026 Icecat. All rights reserved. Supplied as is, without warranty. Specs Icecat · Open Content License

Development preview

Review your request.

No message has been sent. This draft stays on this device.